TKN-EVENTLISTENER-LOGS(1)

NAME

tkn-eventlistener-logs - Show EventListener logs

SYNOPSIS

tkn eventlistener logs

DESCRIPTION

Show EventListener logs

OPTIONS

-h, --help[=false]
    help for logs

-t, --tail=10
    Number of most recent log lines to show. Specify -1 for all logs from each pod.

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Show logs of EventListener pods:

    tkn eventlistener logs eventlistenerName

Show 2 lines of most recent logs from all EventListener pods:

    tkn eventlistener logs eventListenerName -t 2

SEE ALSO

tkn-eventlistener(1)